Subject: Re: bug#63300: 29.0.90; Tramp keeps customizing variables on every connection

From: Jimmy Wong <[email-masked]>
Date: Sun, 4 Jun 2023 13:22:35 +0100

I’ll file a separate bug. You can close this one. Thanks.
On 4 Jun 2023 at 1:21 PM +0100, Michael Albinus <[email-masked]>, wrote:
> Jimmy Wong <[email-masked]> writes:
>
> Hi,
>
> > Well, yes, I consider this a poorly considered “feature”, or arguably
> > a bug, for exactly the reason you said, they are local to connections
> > and machines, and thus highly variable.
>
> Not really. They exist for the reason that a user can override the
> default values offered by Tramp. This I would call a user option.
>
> Tramp has a lot of further host specific data, which are all kept in
> variables.
>
> > We can probably argue whether this is a bug in tramp or a bug in
> > customize-save-variable tho (why on earth does the act of saving a
> > single variable value saves all customized values if a custom file
> > exists?)
>
> I agree with the latter.
>
> Best regards, Michael.